Captura de pantalla - 200514 - 23:18:27

Hace unas horas se libero una nueva actualización para el cliente de Spotify para Linux, en donde encontraremos muchas mejoras y un cambio en la interfaz del mismo. Pero al realizar la actualización en Debian Wheezy nos encontramos con el problema de que no inicia y tenemos el siguiente mensaje de error:

spotify: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14′ not found (required by spotify)
spotify: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14′ not found (required by /opt/spotify/spotify-client/Data/libcef.so)
spotify: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.15′ not found (required by /opt/spotify/spotify-client/Data/libcef.so)

Para solucionar este problema debemos añadir unos repositorios experimentales y hacer una actualización de la librería libc.so.6. Primero abrimos una terminal y editamos los repositorios

# sudo nano /etc/apt/sources.list

deb http://ftp.debian.org/debian experimental main
deb http://ftp.debian.org/debian sid main

Este repositorio lo tendremos de forma temporal hasta que hagamos la actualización.

sudo apt-get update

Ahora hacemos la actulizacion de la libreria libc.so.6

sudo apt-get -t experimental install libc6-dev

Por ultimo eliminamos los repositorios agregados y ejecutamos Spotify.

Anuncios